{ pkgs, lib, ... }:
let
  homeEnv = keyboard: {
    imports = [
      ../../../home-manager/profiles/common.nix

      ../../../home-manager/configuration/graphical-gnome3.nix

      ../../../home-manager/programs/firefox.nix
      ../../../home-manager/programs/libreoffice.nix
      ../../../home-manager/programs/neovim.nix
    ];

    home.keyboard = keyboard;

    home.packages = with pkgs; [
      dia

      rustdesk
    ];
  };
in
{
  services.gnome = builtins.mapAttrs (_attr: value: lib.mkForce value) {
    gnome-remote-desktop.enable = true;
  };

  home-manager.users.steveej = homeEnv {
    layout = "en";
    options = [ "nodeadkey" ];
    variant = "altgr-intl";
  };

  home-manager.users.elias = homeEnv {
    layout = "de";
    options = [ ];
    variant = "";
  };

  home-manager.users.justyna = homeEnv {
    layout = "de";
    options = [ ];
    variant = "";
  };

  system.stateVersion = "21.11";
}
