{ config, pkgs, ... }:
let
  keys = import ../../../variables/keys.nix;
  inherit (pkgs.callPackage ../../lib/default.nix { }) mkUser;
in
{
  sops.secrets.sharedUsers-elias = {
    sopsFile = ../../../../secrets/shared-users.yaml;
    neededForUsers = true;
    format = "yaml";
  };

  sops.secrets.sharedUsers-justyna = {
    sopsFile = ../../../../secrets/shared-users.yaml;
    neededForUsers = true;
    format = "yaml";
  };

  users.extraUsers.elias = mkUser {
    uid = 1001;
    openssh.authorizedKeys.keys = keys.users.steveej.openssh;
    passwordFile = config.sops.secrets.sharedUsers-elias.path;
  };

  users.extraUsers.justyna = mkUser {
    uid = 1002;
    openssh.authorizedKeys.keys = keys.users.steveej.openssh;
    passwordFile = config.sops.secrets.sharedUsers-justyna.path;
  };
}
