{
  system ? "aarch64-linux",
  nodeName,
  repoFlake,
  nodeFlake,
  localDomainName ? "internal",
  ...
}:
{
  meta.nodeSpecialArgs.${nodeName} = {
    inherit
      repoFlake
      nodeName
      nodeFlake
      system
      ;
    packages' = repoFlake.packages.${system};
    nodePackages' = nodeFlake.packages.${system};

    inherit (nodeFlake.inputs.bpir3.packages.${system}) armTrustedFirmwareMT7986;

    inherit localDomainName;
  };

  meta.nodeNixpkgs.${nodeName} = import nodeFlake.inputs.nixpkgs.outPath { inherit system; };

  ${nodeName} = {
    deployment.targetHost = "${nodeName}.${localDomainName}";
    deployment.replaceUnknownProfiles = true;

    # nixpkgs.pkgs = nodeFlake.inputs.nixpkgs.legacyPackages.${system};

    imports = [
      nodeFlake.inputs.home-manager.nixosModules.home-manager

      ./configuration.nix
    ];

    networking.hostName = nodeName;
  };
}
