{
  system ? "x86_64-linux",
  nodeName,
  repoFlake,
  nodeFlake,
  ...
}:
let
  variables = import ./variables.crypt.nix;
in
{
  meta.nodeSpecialArgs.${nodeName} = {
    inherit
      repoFlake
      nodeName
      nodeFlake
      system
      variables
      ;
    packages' = repoFlake.packages.${system};
    nodePackages' = nodeFlake.packages.${system};
  };

  meta.nodeNixpkgs.${nodeName} = import nodeFlake.inputs.nixpkgs.outPath { inherit system; };

  ${nodeName} = {
    deployment.targetHost = variables.ipv4;
    deployment.replaceUnknownProfiles = true;

    imports = [
      nodeFlake.inputs.home-manager.nixosModules.home-manager

      ./configuration.nix
    ];

    networking.hostName = nodeName;
  };
}
