{ repoFlake, ... }:
let
  nodeName = "vmd102066.contaboserver.net";
  system = "x86_64-linux";

  nodeFlake = repoFlake.inputs.get-flake ./.;
in
{
  meta.nodeSpecialArgs.${nodeName} = {
    inherit nodeName nodeFlake;
    packages' = repoFlake.packages.${system};
  };

  meta.nodeNixpkgs.${nodeName} = import nodeFlake.inputs.nixpkgs.outPath { inherit system; };

  ${nodeName} = {
    deployment.targetHost = nodeName;
    deployment.replaceUnknownProfiles = true;

    imports = [
      (repoFlake + "/nix/os/devices/${nodeName}/configuration.nix")

      nodeFlake.inputs.home-manager.nixosModules.home-manager
    ];
  };
}
